org.apache.felix.ipojo.manipulator.spi.helper

## Class Predicates.Matcher

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.spi.helper.Predicates.Matcher

Enclosing class:
  Predicates

    public static class Predicates.Matcher
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Matcher(String regex)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Predicate` `matches()` Restrict execution if the annotation's classname matches the given pattern.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Matcher

    public Matcher(String regex)

### Method Detail

#### matches

    public Predicate matches()

Restrict execution if the annotation's classname matches the given pattern.